For the complete documentation index, see llms.txt. This page is also available as Markdown.

Folder APIs

APIs for managing Spark folders.

Create folder

post

Folders contain Spark services.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Body
NamestringRequired

Folder name.

Example: myfoldername
CategorystringRequired

Folder category. Must be a valid folder category. The category names are managed in Options Folder categories.

Example: Others
DescriptionstringRequired

Folder description.

Example: My folder description
StatusstringRequired

Status of the folder. Design is the default value.

Default: DesignExample: Design
CoverImagestring · binaryOptional

Image file for cover image.

Responses
200

OK

application/json
objectOptional
post/api/v1/product/create
POST /api/v1/product/create HTTP/1.1
Host: excel.myenvironmentname.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 121

{
  "Name": "myfoldername",
  "Category": "Others",
  "Description": "My folder description",
  "Status": "Design",
  "CoverImage": "binary"
}
200

OK

{
  "message": null,
  "data": {
    "folderId": "66e9c8a9-335e-43b5-9353-39077d49d188",
    "get_product_url": "https://excel.myenvironment.coherent.global/api/v1/product/GetProduct/folderstatus"
  },
  "errorCode": null,
  "status": "Success"
}

List folders

post

Returns folders that match the search filter. If using an API key, the API key group must contain user groups that are also assigned to Spark.FolderList.json or Spark.AllEncompassingProxy.json.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Body
pageinteger · min: 1Optional

Page number of the list to get.

pageSizeinteger · min: 1Optional

Number of records per page.

sortstring · nullableOptional

String defining the sort order

Example: `-updated`
Responses
200

OK

application/json
objectOptional
post/api/v1/product/list
POST /api/v1/product/list HTTP/1.1
Host: excel.myenvironmentname.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 94

{
  "page": 1,
  "pageSize": 10,
  "sort": "-updated",
  "search": [
    {
      "field": "name",
      "value": "Simon Testing"
    }
  ]
}
200

OK

{
  "count": 1,
  "next": null,
  "previous": null,
  "message": null,
  "data": [
    {
      "id": "88018b91-6c91-4309-a70b-5bcacfc8a724",
      "name": "myfolder",
      "status": "Design",
      "category": "Other",
      "description": "myfolderdescription",
      "coverImagePath": "41f7dd49-8582-4f00-945c-b49242a52b0d.jpeg",
      "createdAt": "2020-12-18T02:04:03.610588Z",
      "createdBy": "0ec91ce3-52d2-41df-abf8-60b038cd7670",
      "lastModifiedDate": "2025-12-02T00:59:39.178648Z",
      "isStarred": true,
      "startDate": "2020-12-18T00:00:00Z",
      "launchDate": "2021-03-18T00:00:00Z",
      "totalServiceCount": 3
    }
  ],
  "errorCode": null,
  "status": "Success"
}

Get folder

get

Get folder details.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Path parameters
folderstringRequired

Folder associated with the API call.

Example: myfoldername
Query parameters
noOfCalculationEnginesinteger · min: 1Optional

Number of services to include in the response.

Example: 5
Responses
200

OK

application/json
objectOptional
get/api/v1/product/getproduct/{folder}
GET /api/v1/product/getproduct/{folder} HTTP/1.1
Host: excel.myenvironmentname.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "message": null,
  "data": {
    "id": "7165e556-e149-4b37-a545-c62c84b35b1a",
    "name": "Simple-Calculator",
    "category": "Other",
    "description": "CI-CD DEMO",
    "coverImagePath": "443630e8-bc2f-45a2-9a46-58433f1241a6.jpg",
    "createdAt": "2025-05-04T02:06:14.355639+00:00",
    "isStarred": false,
    "status": "Design",
    "startDate": "2024-09-28T00:00:00Z",
    "launchDate": "2024-12-28T00:00:00Z",
    "calculationEngines": {
      "count": 1,
      "next": false,
      "previous": null,
      "message": null,
      "data": [
        {
          "revision": "0.7.0",
          "serviceName": "Formula",
          "originalFileName": "Formula.xlsx",
          "isStarred": false,
          "serviceStatus": "active",
          "versionId": "20827543-bdaf-44e1-bc7a-ac20a8431005",
          "lastModifiedDate": "2025-05-04T02:06:22.656084Z",
          "isLatestVersion": true,
          "createdAt": "2025-05-04T02:06:22.656084Z",
          "author": "service-account-client-credentials",
          "size": 9,
          "defaultEngineType": "neuron",
          "tags": null,
          "engineChains": [],
          "effectiveStartDate": "2003-06-26T23:47:00Z",
          "effectiveEndDate": "2003-07-26T23:47:00Z"
        }
      ],
      "errorCode": null,
      "status": "Success"
    },
    "sections": [],
    "lastModifiedDate": "2025-05-04T02:06:18.225895Z",
    "createdBy": "service-account-client-credentials"
  },
  "errorCode": null,
  "status": "Success"
}

Update folder

post

Update folder details including category or description.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Path parameters
folderIdstring · uuidRequired

Folder id which can be found from List folders or Get folder.

Example: 9efb97d3-59b5-4ab1-b138-525797d58a91
Body
categorystringOptional

Folder category. Must be a valid folder category. The category names are managed in Options Folder categories.

descriptionstringOptional

Folder description.

shouldTrackUserActionbooleanOptionalDefault: true
Responses
200

OK

application/json
objectOptional
post/api/v1/product/update/{folderId}
POST /api/v1/product/update/{folderId} HTTP/1.1
Host: excel.myenvironmentname.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 83

{
  "category": "Critical Illness",
  "name": "CI Partner PS",
  "shouldTrackUserAction": true
}
200

OK

{
  "message": null,
  "data": null,
  "errorCode": null,
  "status": "Success"
}

Delete folder

delete

Delete folder including all documents and services.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Path parameters
folderIdstring · uuidRequired

Folder id which can be found from List folders or Get folder.

Example: 9efb97d3-59b5-4ab1-b138-525797d58a91
Responses
200

OK

application/json
objectOptional
delete/api/v1/product/delete/{folderId}
DELETE /api/v1/product/delete/{folderId} HTTP/1.1
Host: excel.myenvironmentname.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "message": null,
  "data": null,
  "errorCode": null,
  "status": "Success"
}

Last updated